<?php

//
// SourceForge: Breaking Down the Barriers to Open Source Development
// Copyright 1999-2000 (c) The SourceForge Crew
// http://sourceforge.net
//

// This file is a slightly modified cvs/index.php
// Eric D. Nielsen


require ('pre.php');    

session_require(array('group'=>"$group_id"));
//only projects can use the bug tracker, and only if they have it turned on
$project=project_get_object($group_id);

if (!$project->usesCVS()) {
	exit_error('Error','This Group Has Turned Off CVS');
}

$res_grp = db_query("SELECT * FROM groups WHERE group_id=$group_id");

$row_grp = db_fetch_array($res_grp);

if ($forcecheckout==1)
{

   system ("/usr/lib/sourceforge/bin/update-project-webspace.sh -p ". $row_grp['group_unix_name']); 

   $feedback = "Project web space checked out from repository";
}

$params = array('title'=>'Webpage CVS Repository',
		'group'=>$group_id,
		'toptab'=>'cvs');

$cvs_tab_bar = array();

$cvs_tab_bar['cvs'] = array("link" => "index.php?group_id=$group_id",
			    "title"=>"CVS");
$cvs_tab_bar['web'] = array("link" => "projectweb.php?group_id=$group_id",
			    "title"=>"Project Web Space",
			    "selected" => 1);
$params['tab_bar'] = $cvs_tab_bar;
site_project_header($params);

// ######################## table for summary info

print '<TABLE width="100%"><TR valign="top"><TD width="65%">'."\n";

// ######################## anonymous CVS instructions

if ($project->userIsMember()) {
  print "<p>The contents of the htdocs module are checked out nightly to your
project's actual webspace or you can <a href=\"projectweb.php?forcecheckout=1&group_id=$group_id\">force update</a> of your web space.";
}

if ($row_grp['is_public']) {
	print '<P><B>Anonymous CVS Access</B>
<P>This project\'s UDAMan webspace is managed through a CVS repository.  The webspace is held in the htdocs module and can be checked out through anonymous
(pserver) CVS with the following instruction set. When prompted
for a password for <I>anonymous</I>, simply press the Enter key.

<P><FONT size="-1" face="courier">cvs -d:pserver:anonymous@cvs.'.$row_grp['http_domain'].':/cvsroot/'.$row_grp['unix_group_name'].' login
<BR>&nbsp;<BR>cvs -z3 -d:pserver:anonymous@cvs.'.$row_grp['http_domain'].':/cvsroot/'.$row_grp['unix_group_name'].' co htdocs
</FONT>

<P>Updates from within the module\'s directory do not need the -d parameter.';
}

// ############################ developer access

print '<P><B>Developer CVS Access via SSH</B>
<P>Only project developers can access the project web space CVS tree via this method. SSH1 must
be installed on your client machine. Substitute <I>developername</I> with the 
proper value. Enter your site password when prompted.

<P><FONT size="-1" face="courier">export CVS_RSH=ssh
<BR>&nbsp;<BR>cvs -z3 -d:ext:<I>developername</I>@cvs.'.$row_grp['http_domain'].':/cvsroot/'.$row_grp['unix_group_name'].' co htdocs
</FONT>';

// ################## summary info

print '</TD><TD width="35%">';
print $HTML->box1_top("Repository History");

// ################ is there commit info?

$res_cvshist = db_query("SELECT * FROM group_cvs_history WHERE group_id='$group_id'");
if (db_numrows($res_cvshist) < 1) {
	print '<P>This project has no CVS history.';
} else {

print '<P><B>Developer (30 day/Commits) (30 day/Adds)</B><BR>&nbsp;';

while ($row_cvshist = db_fetch_array($res_cvshist)) {
	print '<BR>'.$row_cvshist['user_name'].' ('.$row_cvshist['cvs_commits_wk'].'/'
		.$row_cvshist['cvs_commits'].') ('.$row_cvshist['cvs_adds_wk'].'/'
		.$row_cvshist['cvs_adds'].')';
}

} // ### else no cvs history

// ############################## CVS Browsing

if ($row_grp['is_public']) {
	print '<HR><B>Browse the CVS Tree</B>
<P>Browsing the CVS tree gives you a great view into the current status
of this project\'s code. You may also view the complete histories of any
file in the repository.  The htdocs modules contains the project web space code
<UL>
<LI><A href="http://'.$sys_cvs_host.'/cgi-bin/cvsweb.cgi?cvsroot='
.$row_grp['unix_group_name'].'"><B>Browse CVS Repository</B>';
}

print $HTML->box1_bottom();

print '</TD></TR></TABLE>';

site_project_footer(array());

?>